跳转到内容

Create UPS Ghost Account

请求

Create a UPS shipper account on behalf of a merchant through ShipSaving, without requiring manual registration on the UPS website. The account is automatically linked to the merchant's ShipSaving company and ready for shipping label purchases.

Important: The address provided in this request will be used as the UPS default return address — e.g. packages returned to sender will be delivered to this address.

If an account with the same seller_id already exists, it will be soft-deleted and a new one will be created with the updated address. This allows merchants to change their return address by re-calling this endpoint.

安全
BearerAuth or ApiTokenAuth
正文application/json必需
seller_idstring必需

Caller-defined unique identifier for a merchant or seller. Must be unique per UPS ghost account within the same company.

示例:"merchant_10042"
device_identitystring

Device fingerprint or identifier of the end user.

示例:"d8a7b6c5-e4f3-2a1b-9c8d-7e6f5a4b3c2d"
ip_addressstring, (ipv4)必需

IP address of the end user.

示例:"203.0.113.42"
first_namestring必需

Shipper's first name.

示例:"John"
last_namestring必需

Shipper's last name.

示例:"Doe"
emailstring, (email)必需

Shipper's email address.

示例:"john@example.com"
phonestring必需

Shipper's phone number.

示例:"2135551234"
companystring

Shipper's company name.

示例:"Acme Corp"
street1string必需

First line of address. Accepts street address and PO boxes.

示例:"1600 Amphitheatre Parkway"
street2string

Second line of address (suite, room, floor, apartment, etc.).

示例:"Suite 200"
citystring必需

City name.

示例:"Mountain View"
statestring必需

Two-character state/province code (e.g., CA, MA).

示例:"CA"
postcodestring

Postal code.

示例:"94043"
countrystring(Country)必需

Two-letter country code per ISO 3166-1 alpha-2.

示例:"US"
curl -i -X POST \
  https://ps-api.shipsaving.com/api/carrier/create_ups_ghost_account \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "seller_id": "merchant_10042",
    "device_identity": "d8a7b6c5-e4f3-2a1b-9c8d-7e6f5a4b3c2d",
    "ip_address": "203.0.113.42",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john@example.com",
    "phone": "2135551234",
    "company": "Acme Corp",
    "street1": "1600 Amphitheatre Parkway",
    "street2": "Suite 200",
    "city": "Mountain View",
    "state": "CA",
    "postcode": "94043",
    "country": "US"
  }'

响应

UPS ghost account created successfully

正文application/json
seller_idstring

The merchant identifier provided in the request.

示例:"merchant_10042"
carrier_account_idstring

Carrier account token created in ShipSaving. Use this as the carrier_token in rate requests. This value can also be found in the ShipSaving system → Carrier Accounts page(the "Token" column in the list).

示例:"ca_bc28f2e7aaaa4bbbacccbf7d9f2c27xx"
shipper_account_numberstring

UPS shipper account number provisioned for this seller.

示例:"Y5XXXX"
Response
{ "seller_id": "merchant_10042", "carrier_account_id": "ca_bc28f2e7aaaa4bbbacccbf7d9f2c27xx", "shipper_account_number": "Y5XXXX" }